import request from '@/utils/request'

// 创建出货管理
export function createBox(data) {
  return request({
    url: '/ecw/box/create',
    method: 'post',
    data: data
  })
}

// 更新出货管理
export function updateBox(data) {
  return request({
    url: '/ecw/box/update',
    method: 'put',
    data: data
  })
}

// 删除出货管理
export function deleteBox(id) {
  return request({
    url: '/ecw/box/delete?id=' + id,
    method: 'delete'
  })
}

// 获得出货管理
export function getBox(id) {
  return request({
    url: '/ecw/box/get?id=' + id,
    method: 'get'
  })
}

// 获得出货管理分页
export function getBoxPage(query) {
  return request({
    url: '/ecw/box/page',
    method: 'get',
    params: query
  })
}

// 导出出货管理 Excel
export function exportBoxExcel(query) {
  return request({
    url: '/ecw/box/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
